#include <stdio.h> 
#include <stdlib.h> 

#ifndef __PILE_VOID_H
#define __PILE_VOID_H

typedef void Element ;

typedef struct SCellule {
	Element *element ;
	struct SCellule *suiv ;
} TCellule ;

int estPileVide(const TCellule *p) ;

TCellule *newPile();

TCellule *newCellule (Element *e)  ;

TCellule * insererPile (TCellule *p,  Element *e) ;

void afficherElement (const Element *e) ;

void afficherPile (TCellule *pile) ;
#endif
