#include <stdio.h>
#include <errno.h>
#include <stdlib.h>
	
int main (int argc, char **argv) {
	char* labels[]={"n° échantillon","tension", "courant"} ;
	float tension[] = {5.0, 4.9, 5.1, 3.2} ;
	float courant[] = {1.0, 1.1, 0.9, 1.3 } ; 
	FILE *fp ;	// pointeur permettant de gérer un fichier
	int i ;
	fp = fopen ("mesures2.csv", "w") ;	// ouverture du fichier en mode écriture
	
	fprintf(fp, "%s, %s, %s\n", labels[0], labels[1], labels[2]) ; // écrire, sur la première ligne du fichier, des 3 valeurs du tableau labels séparées par des virgules
	for (i = 0 ; i< 4 ; i++ ){
		fprintf(fp, "%d,  %f, %f\n", i, tension[i], courant[i]) ; // écrire sur les lignes d'après les valeurs de i, tension[i] et courant[i]
	}
	
	printf ("Fichier créé\n");
	fclose(fp) ;  // fermeture et enregistrement du fichier.
}
