/**
 * Exemple d'utilisation de la fonction stat pour récupérer la taille d'un fichier
 * Ici, le programme retourne la taille de l'exécutable.
 * En effet, argv[0] contient le nom du fichier exécutable.
 * 
*/

	#include <sys/types.h>
	#include <sys/stat.h>
	#include <unistd.h>
	#include <stdio.h>
	#include <errno.h>
	#include <stdlib.h>


	int main (int argc, char **argv) {
		int err ;
		struct stat info ;
		err = stat (argv[0], &info) ;
		if (err <0) {
			perror("Probleme appel stat") ;
			return (EXIT_FAILURE);
		}
		printf("Taille de %s : %d\n", argv[0], (int) info.st_size) ;
		return (EXIT_FAILURE);
	}
